<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo de botones</title>
	<style type="text/css">

		.btcolores, .btnumeros, #divResultado {
			float: left;
			margin: 10px;
		}
		button {
			float: left;
			clear: both;
			padding: 25px;
		}
		.btcolores>button {
			width: 100px;
		}

		#divResultado {
			width: 200px;
			height: 100px;
			border: 1px black solid;
		} 
		
	</style>

	<script type="text/javascript">
		
		window.addEventListener("load", function(){
		
		let botonesNumeros=document.querySelectorAll(".bnumeros");
		let botonesColores=document.querySelectorAll(".bcolores");		
		let resultado=document.querySelector("#divResultado");

		for (let i = 0; i < botonesNumeros.length; i++) {
			botonesNumeros[i].addEventListener("click", function(e){
			  let boton=e.target.innerHTML;
			  let r=0;
			  switch (boton) {
			  	case "1":
			  		r=1;
			  		break;
			  	case "2":
			  		r=2;
			  		break;
			  	case "3":
			  		r=3;
			  		break;
			  	case "4":
			  		r=4;
			  		break;			  	
			  }
			  resultado.innerHTML+=r;
			});
		}

		for (let i = 0; i < botonesColores.length; i++) {
			botonesColores[i].addEventListener("click", function(e){
			  let boton=e.target.innerHTML;
			  switch (boton) {
			  	case "ROJO":
			  		resultado.style.backgroundColor = 'RED';
			  		break;
			  	case "VERDE":
			  		resultado.style.backgroundColor = 'GREEN';
			  		break;
			  	case "AZUL":
			  		resultado.style.backgroundColor = 'BLUE';
			  		break;
			  }
			});
		}

		});



	</script>
</head>
<body>
	<div class="btnumeros">
		<button type="button" class="bnumeros">1</button>
		<button type="button" class="bnumeros">2</button>
		<button type="button" class="bnumeros">3</button>
		<button type="button" class="bnumeros">4</button>
	</div>
	
	<div id="divResultado"></div>
	
	<div class="btcolores">
		<button type="button" class="bcolores">ROJO</button>
		<button type="button" class="bcolores">VERDE</button>
		<button type="button" class="bcolores">AZUL</button>
	</div>

	
</body>
</html>